SecurityConfigurationTask の更新
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
securityConfigurationTask オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementApps.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementApps.ReadWrite.All |
HTTP 要求
PATCH /deviceAppManagement/deviceAppManagementTasks/{deviceAppManagementTaskId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、securityConfigurationTask オブジェクトの JSON 表記を指定します。
次の表に 、securityConfigurationTaskを作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | エンティティ キー。 deviceAppManagementTaskから継承 |
| displayName | String | 名前。 deviceAppManagementTaskから継承 |
| description | String | 説明。 deviceAppManagementTaskから継承 |
| createdDateTime | DateTimeOffset | 作成された日付。 deviceAppManagementTaskから継承 |
| dueDateTime | DateTimeOffset | 期日。 deviceAppManagementTaskから継承 |
| category | deviceAppManagementTaskCategory | カテゴリ。 deviceAppManagementTask から継承されます。 可能な値は、unknown、advancedThreatProtection です。 |
| priority | deviceAppManagementTaskPriority | 優先度。 deviceAppManagementTask から継承されます。 可能な値は、none、high、low です。 |
| creator | String | 作成者の電子メール アドレス。 deviceAppManagementTaskから継承 |
| creatorNotes | String | 作成者からのメモ。 deviceAppManagementTaskから継承 |
| assignedTo | String | このタスクが割り当てられている管理者の名前または電子メール。 deviceAppManagementTaskから継承 |
| status | deviceAppManagementTaskStatus | ステータス。 deviceAppManagementTask から継承されます。 可能な値は、unknown、pending、active、completed、rejected です。 |
| endpointSecurityPolicy | endpointSecurityConfigurationType | エンドポイント セキュリティ ポリシーの種類。 可能な値は、unknown、antivirus、diskEncryption、firewall、endpointDetectionAndResponse、attackSurfaceReduction、accountProtection です。 |
| applicablePlatform | endpointSecurityConfigurationApplicablePlatform | 該当するプラットフォーム。 使用可能な値: unknown、macOS、windows10AndLater、windows10AndWindowsServer。 |
| endpointSecurityPolicyProfile | endpointSecurityConfigurationProfileType | エンドポイント セキュリティ ポリシー プロファイル。 指定できる値は unknown antivirus windowsSecurity 、、、、、 です bitLocker fileVault firewall firewallRules endpointDetectionAndResponse deviceControl appAndBrowserIsolation exploitProtection webProtection applicationControl attackSurfaceReductionRules accountProtection 。 |
| insights | String | 軽減策に関する情報。 |
| managedDeviceCount | Int32 | 脆弱なデバイスの数。 |
| intendedSettings | keyValuePair コレクション | 目的の設定とその値。 |
応答
成功した場合、このメソッドは応答コードと更新された 200 OK securityConfigurationTask オブジェクトを応答本文で返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceAppManagement/deviceAppManagementTasks/{deviceAppManagementTaskId}
Content-type: application/json
Content-length: 746
{
"@odata.type": "#microsoft.graph.securityConfigurationTask",
"displayName": "Display Name value",
"description": "Description value",
"dueDateTime": "2017-01-01T00:02:18.1994089-08:00",
"category": "advancedThreatProtection",
"priority": "high",
"creator": "Creator value",
"creatorNotes": "Creator Notes value",
"assignedTo": "Assigned To value",
"status": "pending",
"endpointSecurityPolicy": "antivirus",
"applicablePlatform": "macOS",
"endpointSecurityPolicyProfile": "antivirus",
"insights": "Insights value",
"managedDeviceCount": 2,
"intendedSettings": [
{
"@odata.type": "microsoft.graph.keyValuePair",
"name": "Name value",
"value": "Value value"
}
]
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 854
{
"@odata.type": "#microsoft.graph.securityConfigurationTask",
"id": "5d630f12-0f12-5d63-120f-635d120f635d",
"displayName": "Display Name value",
"description": "Description value",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"dueDateTime": "2017-01-01T00:02:18.1994089-08:00",
"category": "advancedThreatProtection",
"priority": "high",
"creator": "Creator value",
"creatorNotes": "Creator Notes value",
"assignedTo": "Assigned To value",
"status": "pending",
"endpointSecurityPolicy": "antivirus",
"applicablePlatform": "macOS",
"endpointSecurityPolicyProfile": "antivirus",
"insights": "Insights value",
"managedDeviceCount": 2,
"intendedSettings": [
{
"@odata.type": "microsoft.graph.keyValuePair",
"name": "Name value",
"value": "Value value"
}
]
}
フィードバック
フィードバックの送信と表示